<?php

// If we have found SSI.php and we are outside of SMF, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$ssi = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}

// If we are outside SMF and can't find SSI.php, then throw an error.
elseif (!defined('SMF'))
	exit('<strong>Error:</strong> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

global $smcFunc, $db_prefix;

db_extend('packages');

$smcFunc['db_add_column']('{db_prefix}topics', 
	 array(
		     'name' => 'note',
			 'type' => 'text',
		     'default' => '',
		  )
	);

if (!empty($ssi))
	echo 'You have successfully installed this mod!';